Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.util
Class EventSwitch

    java.lang.Object
      |
      +--org.eclipse.hyades.logging.events.cbe.util.EventSwitch

public class EventSwitch
extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage`

Field Summary
`protected static EventPackage` | `modelPackage` The cached model package

Constructor Summary
`EventSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` | `caseAssociatedEvent(AssociatedEvent object)` Returns the result of interpretting the object as an instance of 'Associated Event'.
`java.lang.Object` | `caseAssociationEngine(AssociationEngine object)` Returns the result of interpretting the object as an instance of 'Association Engine'.
`java.lang.Object` | `caseAvailableSituation(AvailableSituation object)` Returns the result of interpretting the object as an instance of 'Available Situation'.
`java.lang.Object` | `caseCommonBaseEvent(CommonBaseEvent object)` Returns the result of interpretting the object as an instance of 'Common Base Event'.
`java.lang.Object` | `caseComponentIdentification(ComponentIdentification object)` Returns the result of interpretting the object as an instance of 'Component Identification'.
`java.lang.Object` | `caseConfigureSituation(ConfigureSituation object)` Returns the result of interpretting the object as an instance of 'Configure Situation'.
`java.lang.Object` | `caseConnectSituation(ConnectSituation object)` Returns the result of interpretting the object as an instance of 'Connect Situation'.
`java.lang.Object` | `caseContextDataElement(ContextDataElement object)` Returns the result of interpretting the object as an instance of 'Context Data Element'.
`java.lang.Object` | `caseCreateSituation(CreateSituation object)` Returns the result of interpretting the object as an instance of 'Create Situation'.
`java.lang.Object` | `caseDependencySituation(DependencySituation object)` Returns the result of interpretting the object as an instance of 'Dependency Situation'.
`java.lang.Object` | `caseDestroySituation(DestroySituation object)` Returns the result of interpretting the object as an instance of 'Destroy Situation'.
`java.lang.Object` | `caseExtendedDataElement(ExtendedDataElement object)` Returns the result of interpretting the object as an instance of 'Extended Data Element'.
`java.lang.Object` | `caseFeatureSituation(FeatureSituation object)` Returns the result of interpretting the object as an instance of 'Feature Situation'.
`java.lang.Object` | `caseMsgCatalogToken(MsgCatalogToken object)` Returns the result of interpretting the object as an instance of 'Msg Catalog Token'.
`java.lang.Object` | `caseMsgDataElement(MsgDataElement object)` Returns the result of interpretting the object as an instance of 'Msg Data Element'.
`java.lang.Object` | `caseOtherSituation(OtherSituation object)` Returns the result of interpretting the object as an instance of 'Other Situation'.
`java.lang.Object` | `caseReportSituation(ReportSituation object)` Returns the result of interpretting the object as an instance of 'Report Situation'.
`java.lang.Object` | `caseRequestSituation(RequestSituation object)` Returns the result of interpretting the object as an instance of 'Request Situation'.
`java.lang.Object` | `caseSerializable(java.io.Serializable object)` Returns the result of interpretting the object as an instance of 'Serializable'.
`java.lang.Object` | `caseSituation(Situation object)` Returns the result of interpretting the object as an instance of 'Situation'.
`java.lang.Object` | `caseSituationType(SituationType object)` Returns the result of interpretting the object as an instance of 'Situation Type'.
`java.lang.Object` | `caseStartSituation(StartSituation object)` Returns the result of interpretting the object as an instance of 'Start Situation'.
`java.lang.Object` | `caseStopSituation(StopSituation object)` Returns the result of interpretting the object as an instance of 'Stop Situation'.
`java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static EventPackage modelPackage

  The cached model package

Constructor Detail

### EventSwitch

    public EventSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseAssociatedEvent

    public java.lang.Object caseAssociatedEvent(AssociatedEvent object)

  Returns the result of interpretting the object as an instance of 'Associated Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Associated Event'.
  See Also:
    `doSwitch(EObject)`

### caseAssociationEngine

    public java.lang.Object caseAssociationEngine(AssociationEngine object)

  Returns the result of interpretting the object as an instance of 'Association Engine'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Association Engine'.
  See Also:
    `doSwitch(EObject)`

### caseAvailableSituation

    public java.lang.Object caseAvailableSituation(AvailableSituation object)

  Returns the result of interpretting the object as an instance of 'Available Situation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Available Situation'.
  See Also:
    `doSwitch(EObject)`

### caseCommonBaseEvent

    public java.lang.Object caseCommonBaseEvent(CommonBaseEvent object)

  Returns the result of interpretting the object as an instance of 'Common Base Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Common Base Event'.
  See Also:
    `doSwitch(EObject)`

### caseComponentIdentification

    public java.lang.Object caseComponentIdentification(ComponentIdentification object)

  Returns the result of interpretting the object as an instance of 'Component Identification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Component Identification'.
  See Also:
    `doSwitch(EObject)`

### caseConfigureSituation

    public java.lang.Object caseConfigureSituation(ConfigureSituation object)

  Returns the result of interpretting the object as an instance of 'Configure Situation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Configure Situation'.
  See Also:
    `doSwitch(EObject)`

### caseConnectSituation

    public java.lang.Object caseConnectSituation(ConnectSituation object)

  Returns the result of interpretting the object as an instance of 'Connect Situation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Connect Situation'.
  See Also:
    `doSwitch(EObject)`

### caseContextDataElement

    public java.lang.Object caseContextDataElement(ContextDataElement object)

  Returns the result of interpretting the object as an instance of 'Context Data Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Context Data Element'.
  See Also:
    `doSwitch(EObject)`

### caseCreateSituation

    public java.lang.Object caseCreateSituation(CreateSituation object)

  Returns the result of interpretting the object as an instance of 'Create Situation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Create Situation'.
  See Also:
    `doSwitch(EObject)`

### caseDependencySituation

    public java.lang.Object caseDependencySituation(DependencySituation object)

  Returns the result of interpretting the object as an instance of 'Dependency Situation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Dependency Situation'.
  See Also:
    `doSwitch(EObject)`

### caseDestroySituation

    public java.lang.Object caseDestroySituation(DestroySituation object)

  Returns the result of interpretting the object as an instance of 'Destroy Situation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Destroy Situation'.
  See Also:
    `doSwitch(EObject)`

### caseExtendedDataElement

    public java.lang.Object caseExtendedDataElement(ExtendedDataElement object)

  Returns the result of interpretting the object as an instance of 'Extended Data Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Extended Data Element'.
  See Also:
    `doSwitch(EObject)`

### caseFeatureSituation

    public java.lang.Object caseFeatureSituation(FeatureSituation object)

  Returns the result of interpretting the object as an instance of 'Feature Situation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Feature Situation'.
  See Also:
    `doSwitch(EObject)`

### caseMsgCatalogToken

    public java.lang.Object caseMsgCatalogToken(MsgCatalogToken object)

  Returns the result of interpretting the object as an instance of 'Msg Catalog Token'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Msg Catalog Token'.
  See Also:
    `doSwitch(EObject)`

### caseMsgDataElement

    public java.lang.Object caseMsgDataElement(MsgDataElement object)

  Returns the result of interpretting the object as an instance of 'Msg Data Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Msg Data Element'.
  See Also:
    `doSwitch(EObject)`

### caseOtherSituation

    public java.lang.Object caseOtherSituation(OtherSituation object)

  Returns the result of interpretting the object as an instance of 'Other Situation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Other Situation'.
  See Also:
    `doSwitch(EObject)`

### caseReportSituation

    public java.lang.Object caseReportSituation(ReportSituation object)

  Returns the result of interpretting the object as an instance of 'Report Situation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Report Situation'.
  See Also:
    `doSwitch(EObject)`

### caseRequestSituation

    public java.lang.Object caseRequestSituation(RequestSituation object)

  Returns the result of interpretting the object as an instance of 'Request Situation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Request Situation'.
  See Also:
    `doSwitch(EObject)`

### caseSituation

    public java.lang.Object caseSituation(Situation object)

  Returns the result of interpretting the object as an instance of 'Situation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Situation'.
  See Also:
    `doSwitch(EObject)`

### caseSituationType

    public java.lang.Object caseSituationType(SituationType object)

  Returns the result of interpretting the object as an instance of 'Situation Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Situation Type'.
  See Also:
    `doSwitch(EObject)`

### caseStartSituation

    public java.lang.Object caseStartSituation(StartSituation object)

  Returns the result of interpretting the object as an instance of 'Start Situation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Start Situation'.
  See Also:
    `doSwitch(EObject)`

### caseStopSituation

    public java.lang.Object caseStopSituation(StopSituation object)

  Returns the result of interpretting the object as an instance of 'Stop Situation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Stop Situation'.
  See Also:
    `doSwitch(EObject)`

### caseSerializable

    public java.lang.Object caseSerializable(java.io.Serializable object)

  Returns the result of interpretting the object as an instance of 'Serializable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Serializable'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD